## fortunes-it 2.2

=== debian/changelog ===
fortunes-it (2.2-2) unstable; urgency=low

  * New binary packages to install the Sicilian fortunes

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 30 Nov 2023 11:43:25 +0100

fortunes-it (2.2-1) unstable; urgency=low

  * New upstream release
  * Drop version from fortune-mod dependency

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 30 Nov 2023 11:29:59 +0100

fortunes-it (2.1-1) unstable; urgency=low

  * New upstream release
  * Drop version from fortune-mod dependency

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 22 Nov 2023 19:40:41 +0100

fortunes-it (2.0-2) unstable; urgency=low

  * Source-only upload
  * Set homepage in control file
  * Set rules-requires-root to no
  * dep5 copyright file, and add myself to it
  * Bump Standards-Version: 4.6.2
  * Bump compat to 13

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Nov 2023 03:29:31 +0100

fortunes-it (2.0-1) unstable; urgency=low

  * New upstream package
  * Set myself as maintainer (Closes: #1051200)
  * Add public key to verify the .orig file
  * Simplify rules file
  * Drop debian patches, accepted in the upstream
  * Point to the new, forked, upstream
  * Move proverbi della Brianza in a separate package
    since they aren't in Italian.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Nov 2023 19:54:26 +0100

fortunes-it (1.99-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix quotes. (Closes: #497203, #494407)
  * Remove proverbi della Brianza, since they aren't in Italian (Closes: #497367)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 14 Nov 2023 18:26:44 +0100

fortunes-it (1.99-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007415)
  * Do not claim that Franklin was a president. (Closes: #1016115)

  [Raúl Benencia]
  * Fix typo in testi/paolotedeschi. (Closes: #788097)
  * Fix typo in testi/zuse. (Closes: #792271)
  * Fix typo in testi/luke. (Closes: #833062)

  [Vijeth T Aradhya]
  * Fix typo in testi/italia. (Closes: #787140)

 -- Bastian Germann <bage@debian.org>  Fri, 01 Sep 2023 17:03:45 +0200

fortunes-it (1.99-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tpo in italian translation (Closes: #813924)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Aug 2019 12:55:27 +0200

fortunes-it (1.99-4) unstable; urgency=low

  * Move offensive quotes to -off files. (Closes: #785024)
  * Fix typos in testi/leggi, testi/italia, testi/norm, testi/luttazzi,
    testi/luke. (Closes: #771368, #785493, #782040, #783534, #783967, #784805)
  * Bump Standards-Version.
  * Set debhelper compatibility level to 9.
  * Depend on ${misc:Depends} as this package uses debhelper.
  * Add missing debhelper targets: build-arch, build-indep.

 -- Emanuele Rocca <ema@debian.org>  Wed, 20 May 2015 06:41:14 +0200

fortunes-it (1.99-3) unstable; urgency=low

  * Fix misplaced comma in testi/formiche. (Closes: #442744)
  * Fix capitalisation of "Mark" in testi/norm. (Closes: #447374)
  * s/Aquari/Acquari in testi/italia. (Closes: #457117)
  * s/procastinazione/procrastinazione in testi/leggi.
  * Do not call dh_makeshlibs in debian/rules.
  * Added Build-Depends-Indep, debhelper alone left in Build-Depends, needed
    by the clean target.
  * Watch file added.
  * Standards-Version set to 3.8.0.

 -- Emanuele Rocca <ema@debian.org>  Fri, 08 Aug 2008 12:56:09 +0200

fortunes-it (1.99-2) unstable; urgency=medium

  * Urgency set to medium, closes a RC bug in testing.
  * binary-arch target added to debian/rules. (Closes: #395598)
  * binary-*: added dependency on the build target.
  * Build-Depends-Indep changed with Build-Depends, debhelper is needed by
    the clean target of debian/rules.
  * s/è/e`/ in debian/control, è is forbidden by RFC822.
  * Standards-Version set to 3.7.2

 -- Emanuele Rocca <ema@debian.org>  Sat, 28 Oct 2006 02:29:27 +0200

fortunes-it (1.99-1) unstable; urgency=low

  * Believe it or not, new upstream release! :)
    Thanks to Andrea 'Zuse' Balestrero for his great work
  * debian/rules rewritten to support multiple fortunes files; debhelper
    compatibility level set to 4
  * fortunes-it-off: README.Debian.offensive renamed in README.Debian
  * Updated debian/copyright
  * Updated Standards Version

 -- Emanuele Rocca <ema@debian.org>  Tue, 14 Dec 2004 00:34:29 +0100

fortunes-it (1.51-9) unstable; urgency=low

  * Fixed permissions of italia.dat and zozzital.dat (0664 --> 0644)
  * Maintainer field updated. Pasc, thanks for sponsoring!

 -- Emanuele Rocca <ema@debian.org>  Tue, 11 Nov 2003 21:37:51 +0100

fortunes-it (1.51-8) unstable; urgency=low

  * Added informations about the sources from which the fortunes were taken
    from. (Closes: #209583)
  * Sponsored by Pascal Hakim <pasc@debian.org>.

 -- Emanuele Rocca <emarocca@libero.it>  Wed, 10 Sep 2003 14:02:49 +0200

fortunes-it (1.51-7) unstable; urgency=low

  * Splitted in two different binary packages: fortunes-it contains
    normal cookies, fortunes-it-off contains offensive cookies.
  * Added utf-8 support.
  * Data files moved
    - fortunes-it: from /usr/share/games/fortunes to
      /usr/share/games/fortunes/it
    - fortunes-it-off: from /usr/share/games/fortunes/off to
      /usr/share/games/fortunes/off/it
  * Linda fix: Long descriptions contains short description.
  * Sponsored by Pascal Hakim <pasc@debian.org>.

 -- Emanuele Rocca <emarocca@libero.it>  Tue, 22 Jul 2003 20:04:58 +0200

fortunes-it (1.51-6) unstable; urgency=low

  * New maintainer.
  * Corrected spelling error in description: italian -> Italian.
    (Closes: #124633)
  * Added the possibility to reinstall offensive fortunes previously
    removed.
  * Lintian fixes:
  	dh_suidregister-is-obsolete
    	postinst-should-not-set-usr-doc-link
  * Fixed spelling error in debian/postinst:
    	is installed with the set of... -> is installed with a set of...
  * Sponsored by Peter Van Eynde <pvaneynd@debian.org>.



## fortunes-it 2.3

=== Makefile ===
.PHONY: clean all dist install

all:
	$(MAKE) -C testi

clean:
	$(MAKE) -C testi clean
	$(RM) fortunes-it_*.orig.tar.gz*

install:
	$(MAKE) -C testi install

dist: clean
	cd .. && tar -czvvf fortunes-it_`head -1 fortunes-it/CHANGELOG.md`.orig.tar.gz \
		fortunes-it/CHANGELOG.md \
		fortunes-it/descriz/*.des \
		fortunes-it/INSTALLAZIONE \
		fortunes-it/COPYING \
		fortunes-it/Makefile \
		fortunes-it/bin/README-ABOUT-BINARIES \
		fortunes-it/README \
		fortunes-it/testi/*
	mv ../fortunes-it_*orig.tar.gz .
	gpg --detach-sign -a *.orig.tar.gz

=== testi/Makefile ===
FILES=\
    adams \
    banner \
    brianza \
    computer \
    definizioni \
    formiche \
    italia \
    itatrek \
    jackfr \
    leggi \
    luke \
    luttazzi \
    norm \
    paolotedeschi \
    salvo \
    siciliano \
    zuse \
    computer-o \
    definizioni-o \
    film-o \
    formiche-o \
    italia-o \
    jackfr-o \
    leggi-o \
    luke-o \
    luttazzi-o \
    norm-o \
    obsc-o \
    paolotedeschi-o \
    salvo-o \
    siciliano-o \
    zuse-o

.PHONY: clean install all

all: $(addprefix build/,$(FILES))

clean:
	$(RM) -r build

build:
	mkdir -p build

build/%: build
	cp $* $@
#	recode latin1..u8 $@
	strfile $@
	ln -s $* $@.u8

install:
	install -d $${DESTDIR:-/}/usr/share/games/fortunes/
	cp -a build/* $${DESTDIR:-/}/usr/share/games/fortunes/

=== debian/changelog ===
fortunes-it (2.3-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 21 Feb 2024 00:35:14 +0100

fortunes-it (2.2-3) unstable; urgency=low

  * Non-deferred source only upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 30 Jan 2024 23:58:15 +0100

fortunes-it (2.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1061721)

 -- Paul Gevers <elbrus@debian.org>  Mon, 29 Jan 2024 07:24:47 +0100

=== debian/control ===
Source: fortunes-it
Section: games
Priority: optional
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13)
Build-Depends-Indep: fortune-mod, recode
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://codeberg.org/fortunes-it/fortunes-it

Package: fortunes-it
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Provides: fortune-cookie-db
Suggests: fortunes-it-off
Description: Data files containing Italian fortune cookies
 This package provides a collection of 'fortune cookies' in Italian, taken
 from:
  * The newsgroup it.hobby.umorismo
  * Andrea `Zuse` Balestrero's personal archive
  * Various tv transmissions, such as "Mai dire Gol" or "Striscia la Notizia"
  * The book "Jack Frusciante e` uscito dal gruppo"
  * Other various sources

Package: fortunes-it-brianza
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Provides: fortune-cookie-db
Suggests: fortunes-it
Description: Data files containing Brianza fortune cookies.
 This package contains proverbs from Brianza.

Package: fortunes-it-off
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Provides: fortune-cookie-db
Suggests: fortunes-it
Description: Data files containing Italian fortune cookies, offensive section
 This package contains a set of 'fortune cookies' in Italian, separated from
 the fortunes-it package since someone may consider they to be offensive.
 .
 Please do not install this package if you or your users are easily
 offended.

Package: fortunes-scn
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Provides: fortune-cookie-db
Suggests: fortunes-scn-off
Description: Data files containing Sicilian fortune cookies
 This package provides a collection of 'fortune cookies' in Sicilian, mostly:
  * Proverbs
  * Common expressions
  * Songs
  * Literature

Package: fortunes-scn-off
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Provides: fortune-cookie-db
Description: Data files containing Sicilian fortune cookies, offensive section
 This package contains a set of 'fortune cookies' in Sicilian, separated from
 the fortunes-scn package since someone may consider they to be offensive.
 .
 Please do not install this package if you or your users are easily
 offended.

## fortunes-it 2.5

=== debian/changelog ===
fortunes-it (2.5-1) unstable; urgency=low

  * New upstream release
  * Update copyright file
  * Update description for fortunes-it-brianza
  * Add upstream/metadata file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 22 Jun 2024 11:12:42 +0200

fortunes-it (2.4-2) unstable; urgency=low

  * Set Vcs-* fields in control

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 14 May 2024 13:51:01 +0200

fortunes-it (2.4-1) unstable; urgency=low

  * New upstream release (Closes: #1065031)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 18 Apr 2024 21:38:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/fortunes-it
+Vcs-Git: https://salsa.debian.org/debian/fortunes-it.git
 Homepage: https://codeberg.org/fortunes-it/fortunes-it
 
 Package: fortunes-it
@@ -29,8 +31,11 @@
 Depends: ${misc:Depends}, fortune-mod
 Provides: fortune-cookie-db
 Suggests: fortunes-it
-Description: Data files containing Brianza fortune cookies.
+Description: Data files containing Brianza fortune cookies
  This package contains proverbs from Brianza.
+ .
+ It was originally part of the fortunes-it package but is
+ now separate because it is not in Italian.
 
 Package: fortunes-it-off
 Architecture: all

## fortunes-it 2.9

=== debian/changelog ===
fortunes-it (2.9-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 02 Nov 2024 11:02:18 +0100

fortunes-it (2.8-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 01 Oct 2024 23:09:17 +0200

fortunes-it (2.7-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 06 Sep 2024 07:35:54 +0200

fortunes-it (2.6-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 28 Aug 2024 15:45:05 +0200

## fortunes-it 2.10

=== debian/changelog ===
fortunes-it (2.10-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version
  * Move Vcs to live together with upstream
  * Fix grammar in long description

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 16 Dec 2024 19:56:27 +0100

## fortunes-it 2.11

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 clean:
 	$(MAKE) -C testi clean
 	$(RM) fortunes-it_*.orig.tar.gz*
+	$(RM) -r deb-pkg/
 
 install:
 	$(MAKE) -C testi install
@@ -22,3 +23,13 @@
 		fortunes-it/testi/*
 	mv ../fortunes-it_*orig.tar.gz .
 	gpg --detach-sign -a *.orig.tar.gz
+
+deb-pkg: dist
+	mv fortunes-it_`head -1 CHANGELOG.md`.orig.tar.gz* /tmp
+	cd /tmp; tar -xf fortunes-it_*.orig.tar.gz
+	cp -r debian /tmp/fortunes-it/
+	cd /tmp/fortunes-it/; dpkg-buildpackage --changes-option=-S
+	mkdir deb-pkg
+	mv /tmp/fortunes-it_* deb-pkg
+	$(RM) -r /tmp/fortunes-it
+	lintian --pedantic -E --color auto -i -I deb-pkg/*.changes deb-pkg/*.deb

=== testi/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
     itatrek \
     jackfr \
     leggi \
+    lercio \
     luke \
     luttazzi \
     norm \

=== debian/changelog ===
fortunes-it (2.11-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 23 Feb 2025 12:14:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends-Indep: fortune-mod, recode
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/fortunes-it
-Vcs-Git: https://salsa.debian.org/debian/fortunes-it.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://codeberg.org/fortunes-it/fortunes-it
+Vcs-Git: https://codeberg.org/fortunes-it/fortunes-it.git
 Homepage: https://codeberg.org/fortunes-it/fortunes-it
 
 Package: fortunes-it
@@ -44,7 +44,7 @@
 Suggests: fortunes-it
 Description: Data files containing Italian fortune cookies, offensive section
  This package contains a set of 'fortune cookies' in Italian, separated from
- the fortunes-it package since someone may consider they to be offensive.
+ the fortunes-it package since someone may consider them to be offensive.
  .
  Please do not install this package if you or your users are easily
  offended.
@@ -67,7 +67,7 @@
 Provides: fortune-cookie-db
 Description: Data files containing Sicilian fortune cookies, offensive section
  This package contains a set of 'fortune cookies' in Sicilian, separated from
- the fortunes-scn package since someone may consider they to be offensive.
+ the fortunes-scn package since someone may consider them to be offensive.
  .
  Please do not install this package if you or your users are easily
  offended.

## fortunes-it 2.12

=== debian/changelog ===
fortunes-it (2.12-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2 (no changes required)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 01 Apr 2025 23:41:15 +0200

## fortunes-it 2.13

=== debian/changelog ===
fortunes-it (2.13-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 07 Apr 2025 01:21:11 +0200

## fortunes-it 2.14

=== debian/changelog ===
fortunes-it (2.14-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 15 Apr 2025 21:53:22 +0200

## fortunes-it 2.15

=== debian/changelog ===
fortunes-it (2.15-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 05 May 2025 21:30:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: fortune-mod, recode
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://codeberg.org/fortunes-it/fortunes-it
 Vcs-Git: https://codeberg.org/fortunes-it/fortunes-it.git
 Homepage: https://codeberg.org/fortunes-it/fortunes-it

## fortunes-it 2.16

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 all:
 	$(MAKE) -C testi
+
+test:
+	tests/endpercent.sh
 
 clean:
 	$(MAKE) -C testi clean
@@ -18,9 +21,9 @@
 		fortunes-it/INSTALLAZIONE \
 		fortunes-it/COPYING \
 		fortunes-it/Makefile \
-		fortunes-it/bin/README-ABOUT-BINARIES \
 		fortunes-it/README \
-		fortunes-it/testi/*
+		fortunes-it/testi/* \
+		fortunes-it/tests/*
 	mv ../fortunes-it_*orig.tar.gz .
 	gpg --detach-sign -a *.orig.tar.gz

=== testi/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 FILES=\
     adams \
-    banner \
     brianza \
     computer \
     definizioni \
@@ -52,3 +51,7 @@
 install:
 	install -d $${DESTDIR:-/}/usr/share/games/fortunes/
 	cp -a build/* $${DESTDIR:-/}/usr/share/games/fortunes/
+
+.PHONY: listfortunes
+listfortunes:
+	@echo $(FILES)

=== debian/changelog ===
fortunes-it (2.16-2) trixie; urgency=high

  * Drop offensive packages, since well timed bug reports from the release team
    during the freeze period made it impossible to correct the problems.
    Closes: #1109165,#1109167

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 21 Jul 2025 07:22:34 +0200

fortunes-it (2.16-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 28 May 2025 23:22:39 +0200

=== debian/control ===
Source: fortunes-it
Section: games
Priority: optional
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13)
Build-Depends-Indep: fortune-mod, recode
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://codeberg.org/fortunes-it/fortunes-it
Vcs-Git: https://codeberg.org/fortunes-it/fortunes-it.git
Homepage: https://codeberg.org/fortunes-it/fortunes-it

Package: fortunes-it
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Provides: fortune-cookie-db
Description: Data files containing Italian fortune cookies
 This package provides a collection of 'fortune cookies' in Italian, taken
 from:
  * The newsgroup it.hobby.umorismo
  * Andrea `Zuse` Balestrero's personal archive
  * Various tv transmissions, such as "Mai dire Gol" or "Striscia la Notizia"
  * The book "Jack Frusciante e` uscito dal gruppo"
  * Other various sources

Package: fortunes-it-brianza
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Provides: fortune-cookie-db
Suggests: fortunes-it
Description: Data files containing Brianza fortune cookies
 This package contains proverbs from Brianza.
 .
 It was originally part of the fortunes-it package but is
 now separate because it is not in Italian.

Package: fortunes-scn
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Provides: fortune-cookie-db
Description: Data files containing Sicilian fortune cookies
 This package provides a collection of 'fortune cookies' in Sicilian, mostly:
  * Proverbs
  * Common expressions
  * Songs
  * Literature

## fortunes-it 2.17

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 		fortunes-it/CHANGELOG.md \
 		fortunes-it/descriz/*.des \
 		fortunes-it/INSTALLAZIONE \
+		fortunes-it/CODICE_DI_CONDOTTA.md \
 		fortunes-it/COPYING \
 		fortunes-it/Makefile \
 		fortunes-it/README \

=== testi/Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
     formiche \
     italia \
     itatrek \
-    jackfr \
     leggi \
     lercio \
     luke \
@@ -18,18 +17,15 @@
     zuse \
     computer-o \
     definizioni-o \
-    film-o \
-    formiche-o \
     italia-o \
-    jackfr-o \
     leggi-o \
     luke-o \
     luttazzi-o \
     norm-o \
-    obsc-o \
     paolotedeschi-o \
     salvo-o \
     siciliano-o \
+    religione-o \
     zuse-o
 
 .PHONY: clean install all

=== debian/changelog ===
fortunes-it (2.17-1) unstable; urgency=medium

  * New upstream release
  * Install some funny bible quotes, in the -off package just to be safe
  * Reintroduce moderated offensive packages, hand reviewed one by one.
    Bug reports will need to contain specific and precise complaints.
  * Fix description to clarify the content

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 07 Sep 2025 16:30:43 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Architecture: all
 Depends: ${misc:Depends}, fortune-mod
 Provides: fortune-cookie-db
+Suggests: fortunes-it-off
 Description: Data files containing Italian fortune cookies
  This package provides a collection of 'fortune cookies' in Italian, taken
  from:
@@ -36,13 +37,43 @@
  It was originally part of the fortunes-it package but is
  now separate because it is not in Italian.
 
+Package: fortunes-it-off
+Architecture: all
+Depends: ${misc:Depends}, fortune-mod
+Provides: fortune-cookie-db
+Suggests: fortunes-it
+Description: Data files containing Italian fortune cookies, mature section
+ This package contains a set of 'fortune cookies' in Italian, separated from
+ the fortunes-it package since their content and topics are aimed at mature
+ audiences.
+ .
+ The package is called -off for historical reasons but does not contain
+ anything actually offensive.
+ .
+ Please do not install this package if you want to avoid mature content.
+
 Package: fortunes-scn
 Architecture: all
 Depends: ${misc:Depends}, fortune-mod
 Provides: fortune-cookie-db
+Suggests: fortunes-scn-off
 Description: Data files containing Sicilian fortune cookies
  This package provides a collection of 'fortune cookies' in Sicilian, mostly:
   * Proverbs
   * Common expressions
   * Songs
   * Literature
+
+Package: fortunes-scn-off
+Architecture: all
+Depends: ${misc:Depends}, fortune-mod
+Provides: fortune-cookie-db
+Description: Data files containing Sicilian fortune cookies, mature section
+ This package contains a set of 'fortune cookies' in sicilian, separated from
+ the fortunes-scn package since their content and topics are aimed at mature
+ audiences.
+ .
+ The package is called -off for historical reasons but does not contain
+ anything actually offensive.
+ .
+ Please do not install this package if you want to avoid mature content.

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/fortunes-it/fortunes-it/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## fortunes-it 2.18

=== debian/changelog ===
fortunes-it (2.18-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 11 Dec 2025 21:24:09 +0100

## fortunes-it 2.19

=== debian/changelog ===
fortunes-it (2.19-1) unstable; urgency=medium

  * New upstream release
  * Remove Rules-Requires-Root
  * Remove Priority optional from d/control
  * Bump copyright year

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 01 Mar 2026 19:40:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: fortunes-it
 Section: games
-Priority: optional
 Build-Depends:
  debhelper (>= 13),
  debhelper-compat (= 13)
 Build-Depends-Indep: fortune-mod, recode
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://codeberg.org/fortunes-it/fortunes-it
 Vcs-Git: https://codeberg.org/fortunes-it/fortunes-it.git
